Package org.apache.jorphan.math

# Class StatCalculatorInteger

java.lang.Object
org.apache.jorphan.math.StatCalculator<Integer>
org.apache.jorphan.math.StatCalculatorInteger

public class StatCalculatorInteger extends StatCalculator<Integer>
StatCalculator for Integer values

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatCalculatorInteger()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addValue(int val)`
  `void`
  `addValue(int val, int sampleCount)`
  Update the calculator with the value for an aggregated sample.
  `protected Integer`
  `divide(Integer val, int n)`
  `protected Integer`
  `divide(Integer val, long n)`

  ### Methods inherited from class org.apache.jorphan.math.StatCalculator

  `addAll, addBytes, addSentBytes, addValue, addValue, clear, getCount, getDistribution, getMax, getMean, getMedian, getMin, getPercentPoint, getPercentPoint, getStandardDeviation, getSum, getTotalBytes, getTotalSentBytes`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StatCalculatorInteger

    public StatCalculatorInteger()

- ## Method Details

  - ### addValue

    public void addValue(int val)

  - ### addValue

    public void addValue(int val, int sampleCount)
    Update the calculator with the value for an aggregated sample.
    Parameters:
      `val` - the aggregate value
      `sampleCount` - the number of samples contributing to the aggregate value

  - ### divide

    protected Integer divide(Integer val, int n)
    Specified by:
      `divide` in class `StatCalculator<Integer>`

  - ### divide

    protected Integer divide(Integer val, long n)
    Specified by:
      `divide` in class `StatCalculator<Integer>`